/* Copyright is licensed under GNU LGPL.                 by I.J.Wang 2007
*/

#define WYLIB_SOURCE
#include "WyNum.h"
#include "wy_scanum.hh"

namespace Wy {

WyRet _scanum(signed int& value, WyCSeg& text) WY__TSPC()
{
 return Wy::wy_scanum_c(value,text,10);
};

WyRet _scanum(unsigned int& value, WyCSeg& text) WY__TSPC()
{
 return Wy::wy_scanum_c(value,text,10);
};

WyRet _scanum(signed int& value, WyCSeg& text, const Wy::WyRadix& radix) WY__TSPC()
{
 return Wy::wy_scanum_c(value,text,radix);
};

WyRet _scanum(unsigned int& value, WyCSeg& text, const Wy::WyRadix& radix) WY__TSPC()
{
 return Wy::wy_scanum_c(value,text,radix);
};

WyRet _scanum(signed int& value, WyCSeg& text, Wy::WyRadix& radix) WY__TSPC()
{
 return Wy::wy_scanum_n(value,text,radix);
};

WyRet _scanum(unsigned int& value, WyCSeg& text, Wy::WyRadix& radix) WY__TSPC()
{
 return Wy::wy_scanum_n(value,text,radix);
};

};  // end namespace Wy
