/* Copyright is licensed under GNU LGPL.                 by I.J.Wang 2007
*/

#define WYLIB_SOURCE
#include "WyTimeSpec.h"       // decalation
#include "wy_scanum.hh"   // template

namespace Wy {

WyRet _scanum(WyTimeSpec& value, WyCSeg& text) WY__TSPC()
{
 return Wy::wy_scanum_c(value,text,10);
};

WyRet _scanum(WyTimeSpec& value, WyCSeg& text, const Wy::WyRadix& radix) WY__TSPC()
{
 return Wy::wy_scanum_c(value,text,radix);
};

WyRet _scanum(WyTimeSpec& value, WyCSeg& text, Wy::WyRadix& radix) WY__TSPC()
{
 return Wy::wy_scanum_n(value,text,radix);
};

};  // end namespace Wy
