/* Copyright is licensed under GNU LGPL.                 by I.J.Wang 2003
*/
#define WYLIB_SOURCE
#include "WyFileHandle.h"
#include "WyFileStat.h"
#include "wy__cfunc.h"

const char WyFileHandle::class_name[]="WyFileHandle";

class WyFileHandle::Assertion {
  public:
    Assertion()
      {
        if(WY__DEFAULT_FD!=-1) {
          WY_TERMINATE("");  // default fd is hard-coded as -1
                             // range of fd= [-1,wy_MaxFd]
        }
      };
} static const wy__do_not_use_me__;

WyRet WyFileHandle::stat(WyFileStat& filestat) const
{
 // Assert that ::fstat failure should not modify buf.
 //
 if(wyc_fstat(_fd,&filestat.wy_stat_ref())==-1) {
   WY_RETURN(errno);
 }
 return(Ok);
};

