/* Copyright is licensed under GNU LGPL.                 by I.J.Wang 2003

   Definitions of requiresment for C/C++ header files.
*/
#ifndef WYREQS_H__
#define WYREQS_H__

#ifdef WYLIB_SOURCE              // libwy source file sees WYLIB_SOURCE
 #ifndef _REENTRANT
 #define _REENTRANT
 #endif

 #ifndef _POSIX_SOURCE
 #define _POSIX_SOURCE           // libwy tries to be POSIX complient
 #endif

 #ifndef _POSIX_C_SOURCE
 #define _POSIX_C_SOURCE 199309  // see how far libwy can get
 #endif
#endif

/*
  Applications should have symbol _REENTRANT defined.
*/
#ifndef _REENTRANT
 #error +-----------------------------------+
 #error | _REENTRANT is not defined (libwy) +
 #error +-----------------------------------+
 #error (Add compiler option -pthread for g++)
#endif

#endif
